using System;
using System.Collections.Generic;

namespace ConsoleApp3
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] inp = Console.ReadLine().Split();

            int n = int.Parse(inp[0]);
            int m = int.Parse(inp[1]);

            for (int i = 0; i < n; i++)
                Console.ReadLine();

            Console.WriteLine(0);
        }
    }
}